diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index 7a8a496..f579340 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -573,7 +573,7 @@ typedef struct TriggerData
       <listitem>
        <para>
         A pointer to a structure of type <structname>Trigger</>,
-        defined in <filename>utils/rel.h</>:
+        defined in <filename>utils/reltrigger.h</>:
 
 <programlisting>
 typedef struct Trigger
@@ -582,7 +582,7 @@ typedef struct Trigger
     char       *tgname;
     Oid         tgfoid;
     int16       tgtype;
-    bool        tgenabled;
+    char        tgenabled;
     bool        tgisinternal;
     Oid         tgconstrrelid;
     Oid         tgconstrindid;
@@ -671,7 +671,8 @@ CREATE TABLE ttest (
 <programlisting><![CDATA[
 #include "postgres.h"
 #include "executor/spi.h"       /* this is what you need to work with SPI */
-#include "commands/trigger.h"   /* ... and triggers */
+#include "commands/trigger.h"   /* ... triggers ... */
+#include "utils/rel.h"          /* ... and relations */
 
 #ifdef PG_MODULE_MAGIC
 PG_MODULE_MAGIC;
